unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DVFonts, ExtCtrls;

type
  TForm1 = class(TForm)
    DVFontsCombo: TDVFontsCombo;
    Panel1: TPanel;
    Panel2: TPanel;
    GroupBox1: TGroupBox;
    AutoUpdate: TCheckBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    TrueType: TCheckBox;
    Raster: TCheckBox;
    Device: TCheckBox;
    Other: TCheckBox;
    DVFontsList: TDVFontsList;
    ttfbmp: TButton;
    OpenDlg: TOpenDialog;
    rasterbmp: TButton;
    devicebmp: TButton;
    Button1: TButton;
    procedure DVFontsListClick(Sender: TObject);
    procedure DVFontsComboChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure AutoUpdateClick(Sender: TObject);
    procedure TrueTypeClick(Sender: TObject);
    procedure ttfbmpClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DVFontsListClick(Sender: TObject);
begin
  panel1.Font.Name:=DVFontsList.FontName;
  panel1.Caption:=DVFontsList.FontName;
end;

procedure TForm1.DVFontsComboChange(Sender: TObject);
begin
  panel2.Font.Name:=DVFontsCombo.FontName;
  panel2.Caption:=DVFontsCombo.FontName;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  DVFontsCombo.UpdateFonts;
  DVFontsList.UpdateFonts;
end;

procedure TForm1.AutoUpdateClick(Sender: TObject);
begin
  DVFontsCombo.AutoUpdate:=AutoUpdate.Checked;
end;

procedure TForm1.TrueTypeClick(Sender: TObject);
var i:TFontType;
begin
  if Sender=TrueType then i:=TrueTypeFonts;
  if Sender=Raster then i:=RasterFonts;
  if Sender=Device then i:=DeviceFonts;
  if Sender=Other then i:=OtherFonts;
  if (Sender as TCheckBox).Checked=True then
  begin
    DVFontsCombo.ViewFontsType:=DVFontsCombo.ViewFontsType+[i];
    DVFontsList.ViewFontsType:=DVFontsList.ViewFontsType+[i];
  end
  else
  begin
    DVFontsCombo.ViewFontsType:=DVFontsCombo.ViewFontsType-[i];
    DVFontsList.ViewFontsType:=DVFontsList.ViewFontsType-[i];
  end;
end;

procedure TForm1.ttfbmpClick(Sender: TObject);
var b:TBitmap;
begin
  b:=TBitmap.Create;
  if opendlg.execute then
  begin
    b.LoadFromFile(opendlg.FileName);
    if Sender=ttfbmp then
    begin
      DVFontsList.SetTrueTypeBmp(b);
      DVFontsCombo.SetTrueTypeBmp(b);
    end;
    if Sender=rasterbmp then
    begin
      DVFontsList.SetRasterBmp(b);
      DVFontsCombo.SetRasterBmp(b);
    end;
    if Sender=devicebmp then
    begin
      DVFontsList.SetDeviceBmp(b);
      DVFontsCombo.SetDeviceBmp(b);
    end;
  end;
  b.Free;
end;

end.
